#!/bin/sh

# add bin to path
export PATH=../bin:$PATH

#TARGET=debug
TARGET=release

COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer- -preprocessor_evaluate_filter- -samples_per_pass=1000000 -samples_per_evaluation=10000000 -total_samples=250000000 -preprocessor_pvs_rendererror_samples=100000 -preprocessor_evaluatePixelError+ -preprocessor_detect_empty_viewspace- -kd_pvs_area=1e-4 -view_cells_use_kd_pvs+ -af_use_kd_pvs+ -view_cells_import_random_viewcells+ -view_cells_export_random_viewcells-" 

echo "starting $TARGET version"

#SCENE=../data/Arena/arena-high-lods.obj
#VIEWCELLS=../data/Arena/arena-high-lods-5000-viewcells.xml.gz
#SCENE=../data/vienna/vienna_cropped.obj
#SCENE=../data/roofs_new.obj
SCENE=../data/vienna/city_full_hp.obj
#SCENE=../data/vienna/vienna_rep.obj

#SCENE=../data/vienna/vienna_cropped.obj
#VIEWCELLS=../data/vienna/vienna_cropped-gradient-viewcells.xml.gz 
VIEWPOINTS=../data/vienna/testwalk.vp

#LOG_PREFIX=../src/SG08/rebut-arena-pixel2
#LOG_PREFIX=../src/SG08/full
LOG_PREFIX=../src/SG08/city_full

ENVIRONMENT=gvs.env


METHOD=gvs
echo "$SCENE $METHOD"


$COMMAND $ENVIRONMENT \
-scene_filename=$SCENE \
-preprocessor=gvs \
-preprocessor_use_vbos- \
-gvs_epsilon=0.0001 \
-gvs_total_samples=1000000 \
-gvs_samples_per_pass=1000000 \
-gvs_initial_samples=16 \
-gvs_max_viewcells=5000 \
-gvs_min_contribution=500 \
-gvs_per_viewcell=true \
-preprocessor_detect_empty_viewspace+ \
-kd_pvs_area=1e-4 \
-view_cells_use_kd_pvs+ \
-af_use_kd_pvs+ \
-gvs_stats=$LOG_PREFIX-gvsStats.log \
-view_cells_filename=$VIEWCELLS \
-view_cells_load_from_file=true \
-view_cells_evaluation_stats_prefix=$LOG_PREFIX-$METHOD \
-view_cells_merge_stats=$LOG_PREFIX-$METHOD-mergeStats.log \
-preprocessor_visibility_file=$LOG_PREFIX-i-gvs-b1-n4l.xml \
-preprocessor_stats=$LOG_PREFIX-i-gvs-b1-n4l.log \
-view_cells_random_viewpoint_list=$VIEWPOINTS \
-preprocessor_histogram_file=$LOG_PREFIX-i-gvs-b1-n4f.hlog 


sh movefiles.sh $LOG_PREFIX-$METHOD